CREATE OR REPLACE FORCE VIEW LMS_COURSE_BY_CLASS_NBR AS
Select R1.CLASS_NBR
     , R1.INSTITUTION
     , R1.STRM
     , R1.LMS_ID
From LMS_COURSE_BY_CLASS_NBR_RANK R1
Left Outer Join LMS_COURSE_BY_CLASS_NBR_RANK R2
                On R1.CLASS_NBR = R2.CLASS_NBR
                    And R1.INSTITUTION = R2.INSTITUTION
                    And R1.STRM = R2.STRM
                    And R1.RANK > R2.RANK
Where R2.CLASS_NBR is null
;
